# Function addressPrefixToChain

- addressPrefixToChain<K1>(...args): ToExtPropKey<K1> extends "wormhole" | "evmos" | "sei" | "cosmos" | "inj" | "kuji" | "osmo" | "terra" | "xpla"
  ? ObjectFromMappingEntries<[["cosmos", [LeafValue<"Cosmoshub">]], ["evmos", [LeafValue<"Evmos">]], ["inj", [LeafValue<"Injective">]], ["kuji", [LeafValue<"Kujira">]], ["osmo", [LeafValue<"Osmosis">]], ["sei", [LeafValue<"Sei">]]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<[["cosmos", [LeafValue<"Cosmoshub">]], ["evmos", [LeafValue<"Evmos">]], ["inj", [LeafValue<"Injective">]], ["kuji", [LeafValue<"Kujira">]], ["osmo", [LeafValue<"Osmosis">]], ["sei", [LeafValue<"Sei">]]], 1>[Object]
  : never

- #### Type Parameters

  - #### K1 extends "wormhole" | "evmos" | "sei" | "cosmos" | "inj" | "kuji" | "osmo" | "terra" | "xpla"

  #### Parameters

  - ##### `Rest` ...args: [K1]

  #### Returns ToExtPropKey<K1> extends "wormhole" | "evmos" | "sei" | "cosmos" | "inj" | "kuji" | "osmo" | "terra" | "xpla"
  ? ObjectFromMappingEntries<[["cosmos", [LeafValue<"Cosmoshub">]], ["evmos", [LeafValue<"Evmos">]], ["inj", [LeafValue<"Injective">]], ["kuji", [LeafValue<"Kujira">]], ["osmo", [LeafValue<"Osmosis">]], ["sei", [LeafValue<"Sei">]]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<[["cosmos", [LeafValue<"Cosmoshub">]], ["evmos", [LeafValue<"Evmos">]], ["inj", [LeafValue<"Injective">]], ["kuji", [LeafValue<"Kujira">]], ["osmo", [LeafValue<"Osmosis">]], ["sei", [LeafValue<"Sei">]]], 1>[Object]
  : never

  - Defined in core/base/dist/esm/utils/mapping.d.ts:66

Generated using TypeDoc